Subject: Re: Porting eggdrop 1.3.xx
From: [email-masked] (Maarten Huisjes)

8 Dec 1998 12:29:14 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Hugo Leote <[email-masked]>
Cc: GNU Win32 <[email-masked]>

Hugo Leote wrote:
> 
> I'm one step away from compiling eggdrop1.3.22 sucessfully with cygwin32.
> Unfortunately I still get the following linking problem:
> 
> *****************************************
> 
> Linking eggdrop...(statically)
> 
> gcc -o ../eggdrop botcmd.o botmsg.o botnet.o chanprog.o cmds.o dcc.o dccutil.o f
> lags.o language.o main.o mem.o misc.o modules.o net.o tcl.o tcldcc.o tclhash.o t
> clmisc.o tcluser.o userent.o userrec.o users.o -L/cygnus/cygwin-b20/H-i586-cygwi
> n32/lib -ltcl80 -lm  mod/*.o
> mod/server.o: In function `tcl_eggserver':
> /cygnus/cygwin-b20/src/eggdrop1.3.22-pide/src/mod/server.mod/server.c:543:
>  undefined reference to `Tcl_DStringInit'
> /cygnus/cygwin-b20/src/eggdrop1.3.22-pide/src/mod/server.mod/server.c:548:
>  undefined reference to `Tcl_DStringAppendElement'
> /cygnus/cygwin-b20/src/eggdrop1.3.22-pide/src/mod/server.mod/server.c:552:
>  undefined reference to `Tcl_DStringFree'
> collect2: ld returned 1 exit status
> make[1]: *** [static] Error 1
> make: *** [static] Error 2
> 
> ******************************************
> 
> So far, I've been unable to find out why these three TCL functions are not
> recognized because they appear to be included in libtcl80.a .
> I'm using cygwin32 b20.1 .
> 
> Anyone ever suffered from this ?
> I know there are already compiled eggdrop ports in ftp.sodre.net/ports,
> but I need to change the nickname max length because of my IRC network.

Move the -ltcl80 to the end of the compile line. The mod/*.o reference tcl
functions which must be included.

(Some linkers are not picky about where you put your libraries, gnu ld is)

Regards, --Maarten.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".